/*
** /----------------------------------------------------------------------\
** |             IBM Z Family Reusable Libraries/2 (5641-504)             |
** |----------------------------------------------------------------------|
** | (C) Copyright International Business Machines Corporation 1993, 1994 |
** |----------------------------------------------------------------------|
** |                       DISCLAIMER OF WARRANTIES                       |
** |                       ------------------------                       |
** | The following code is sample code created by IBM Corporation.        |
** | Such a code is provided to you solely for the purpose of assisting   |
** | you in the development of your applications. The code is provided    |
** | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
** | any damages arising out of your use of the following code, even if   |
** | they have been advised of the possibility of such damages.           |                                                                         *
** \----------------------------------------------------------------------/
**
**  Header    : CVTEST.H
**  Author    : Valerio Tavazzi (TAVAZZI at ROMEPPC)
**  Created   : 26 Aug 1992 
**  Updated   : 24 sep 1993
**  Version   : 2.12
**  Content   : Header file for test program
*/
 #define INCL_PM
 #define INCL_DOSPROCESS
 #define INCL_WINSTDFILE
 #include <os2.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
 #include <process.h>

 #include <cvtest.rch>

 #define WM_FAILEDVALIDATE (WM_USER+0)

/*
**  These structures are used to add the program name to the task list
*/
 EXTERN HSWITCH hSwitch ;
 EXTERN SWCNTRL Swctl   ;

 EXTERN CHAR szAppName[20]; // Class name of application

 EXTERN HAB  hAB        ; // Handle to the Anchor Block
 EXTERN HMQ  hMQ        ; // Handle to the Message Queue
 EXTERN HWND hWndFrame  ; // Handle to the Window Frame
 EXTERN HWND hWndClient ; // Handle to the Client Window

 typedef _Packed struct
 {
   char   XltStrSourceCP     [tstDIGITS]              ;
   char   XltStrSourceString [tstSTRINGLEN]           ;
   char   XltStrTcpTbl       [zcvLISTSIZE][tstDIGITS] ;
   char   XltStrTargetCP     [tstDIGITS]              ;
   char   XltStrTargetString [tstSTRINGLEN]           ;
 } 
 XLTSTRStruct ;

#define OFFSET_XLTSTR 0

typedef _Packed struct
{
  char   XltFilScpTbl     [zcvLISTSIZE][tstDIGITS] ;
  char   XltFilSourceCP   [tstDIGITS]              ;
  char   XltFilTcpTbl     [zcvLISTSIZE][tstDIGITS] ;
  char   XltFilTargetCP   [tstDIGITS]              ;
  char   XltFilSourceFile [tstFLPATHLEN]           ;
  char   XltFilTargetFile [tstFLPATHLEN]           ;
} 
XLTFILStruct ;

#define OFFSET_XLTFIL 1*sizeof(char *)

/*
**  Function prototypes
*/
 INT cwCenter           ( HWND, HWND ) ;
 INT cwSetInitDlgStatus ( HWND ) ;
 INT cwFreeDlgMemory    ( HWND ) ;
 INT cwRegisterClass    ( VOID ) ;

 HWND cwCreateWindow ( HWND, ULONG, PCH, PCH, ULONG, INT, INT, INT, INT, \
                       PHWND, ULONG, USHORT ) ;

 MRESULT EXPENTRY UDDateWndProc ( HWND, ULONG, MPARAM, MPARAM ) ;
 MRESULT EXPENTRY UDEditWndProc ( HWND, ULONG, MPARAM, MPARAM ) ;

 #pragma linkage (WndProc, system)
 MRESULT EXPENTRY WndProc       ( HWND, ULONG, MPARAM, MPARAM ) ; 
 #pragma linkage (XLTSTRMsgProc, system)
 MRESULT EXPENTRY XLTSTRMsgProc ( HWND, ULONG, MPARAM, MPARAM ) ; 
 #pragma linkage (XLTFILMsgProc, system)
 MRESULT EXPENTRY XLTFILMsgProc ( HWND, ULONG, MPARAM, MPARAM ) ; 

