#
# /----------------------------------------------------------------------\
# |             IBM Z Family Reusable Libraries/2 (5641-504)             |
# |----------------------------------------------------------------------|
# | (C) Copyright International Business Machines Corporation 1993, 1994 |
# |----------------------------------------------------------------------|
# |                       DISCLAIMER OF WARRANTIES                       |
# |                       ------------------------                       |
# | The following code is sample code created by IBM Corporation.        |
# | Such a code is provided to you solely for the purpose of assisting   |
# | you in the development of your applications. The code is provided    |
# | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
# | any damages arising out of your use of the following code, even if   |
# | they have been advised of the possibility of such damages.           |                                                                         *
# \----------------------------------------------------------------------/
#
#  Makefile  : CVTEST.MAK
#  Authors   : Valerio Tavazzi (TAVAZZI at ROMEPPC)
#              Dario de Judicibus (DEJUDICI at ROMEPPC)
#  Created   : 26 Aug 1992 
#  Updated   : 24 Sep 1993
#  Version   : 2.12
#  Content   : Make file for the sample program
# 

ZZZHEADERS = zzzlogo.h zzzlogo.rch
ZZZLOGORSC = zzzlogo.rc zzzlogo.rch
TSTINCLS_A = tstclose.inc tstabout.inc tstexitw.inc
TSTINCLS_B = tstsscp.inc tststcp.inc tstfscp.inc tstftcp.inc
TSTINCLS_C = tstselsf.inc tstseltf.inc tstcvfil.inc tstcvstr.inc
TSTINCLUDE = $(TSTINCLS_A) $(TSTINCLS_B) $(TSTINCLS_C)
TSTHEADERS = tstall.h tstdefs.h tstproto.h
ZCVHEADERS = zgeneral.h zcvdefs.h zcvproto.h zcvtypes.h
ALLHEADERS = $(ZCVHEADERS) $(TSTHEADERS) $(ZZZHEADERS)
TSTOPTIONS = /Kb /Gd- /Gm+ /Ss /Ms /DES32TO16 /Gt /I.\ /Tx+

all : cvtest.exe

cvtest.exe : cvtest.res cvtest.def cvtest.obj tstfuncs.obj zzzlogo.obj cvtest.mak
     icc /Fe$* $(TSTOPTIONS) cvtest.obj tstfuncs.obj zzzlogo.obj cvtest.def
     rc cvtest.res $*.exe 

cvtest.obj : cvtest.c cvtest.h $(TSTINCLUDE) $(ALLHEADERS) cvtest.mak
     icc /C+ $(TSTOPTIONS) cvtest.c

tstfuncs.obj : tstfuncs.c $(TSTINCLUDE) $(ALLHEADERS)
     icc /C+ $(TSTOPTIONS) tstfuncs.c

cvtest.res : cvtest.rc cvtest.rch $(ZZZLOGORSC) 
     rc -r cvtest.rc

zzzlogo.obj : zzzlogo.c $(ZZZHEADERS)
     icc /C+ $(TSTOPTIONS) zzzlogo.c

