#
# /----------------------------------------------------------------------\
# |             IBM Z Family Reusable Libraries/2 (5641-504)             |
# |----------------------------------------------------------------------|
# | (C) Copyright International Business Machines Corporation 1993, 1994 |
# |----------------------------------------------------------------------|
# |                       DISCLAIMER OF WARRANTIES                       |
# |                       ------------------------                       |
# | The following code is sample code created by IBM Corporation.        |
# | Such a code is provided to you solely for the purpose of assisting   |
# | you in the development of your applications. The code is provided    |
# | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
# | any damages arising out of your use of the following code, even if   |
# | they have been advised of the possibility of such damages.           |                                                                         *
# \----------------------------------------------------------------------/
#
#  Makefile : DTEINF.MAK
#  Author   : Dario de Judicibus (DEJUDICI at ROMEPPC)
#  Created  : 20 Jul 1992
#  Updated  : 02 Sep 1993
#  Version  : 4.12
#  Content  : FMZDTFUN Sample Makefile
#

ZZZHEADERS = zzzlogo.h zzzlogo.rch
ZZZLOGORSC = zzzlogo.rc zzzlogo.rch
ZDTHEADERS = zgeneral.h zdtdefs.h zdttypes.h zdtproto.h
TSTHEADERS = tstall.h tstdefs.h
DLGHEADERS = chkdte.h tmezon.h
ALLHEADERS = dteinf.h $(ZDTHEADERS) $(TSTHEADERS) $(DLGHEADERS) $(ZZZHEADERS)
INCFILES_A = tstabout.inc tstcheck.inc tstclear.inc tstclose.inc
INCFILES_B = tstexitw.inc tstinitc.inc tstlngid.inc
INCFILES_C = tstoffst.inc tstslidr.inc tstfield.inc
ALLINCFILE = $(INCFILES_A) $(INCFILES_B) $(INCFILES_C)
TSTOPTIONS  = /Se /Ss+ /Kb+ /Gd- /Gm+ /Ms /Tx+ /I.\  

all: dteinf.exe

dteinf.exe : dteinf.obj zzzlogo.obj dteinf.res dteinf.def dteinf.mak
     icc /Fe$* $(TSTOPTIONS) dteinf.obj zzzlogo.obj dteinf.def
     rc dteinf.res $*.exe

dteinf.obj : dteinf.c $(ALLHEADERS) $(ALLINCFILE) dteinf.mak
     icc /C+ $(TSTOPTIONS) dteinf.c

dteinf.res : dteinf.rc dteinf.rch $(ZZZLOGORSC) tstfuncs.rc $(ALLHEADERS)
     rc -r dteinf.rc

zzzlogo.obj : zzzlogo.c $(ZZZHEADERS)
     icc /C+ $(TSTOPTIONS) zzzlogo.c

