/*
** /----------------------------------------------------------------------\
** |             IBM Z Family Reusable Libraries/2 (5641-504)             |
** |----------------------------------------------------------------------|
** | (C) Copyright International Business Machines Corporation 1993, 1994 |
** |----------------------------------------------------------------------|
** |                       DISCLAIMER OF WARRANTIES                       |
** |                       ------------------------                       |
** | The following code is sample code created by IBM Corporation.        |
** | Such a code is provided to you solely for the purpose of assisting   |
** | you in the development of your applications. The code is provided    |
** | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
** | any damages arising out of your use of the following code, even if   |
** | they have been advised of the possibility of such damages.           |                                                                         *
** \----------------------------------------------------------------------/
**
**  Header   : PCHOST.H
**  Author   : Dario de Judicibus (DEJUDICI at ROMEPPC)
**  Created  : 26 Oct 1992
**  Updated  : 30 Aug 1993
**  Version  : 2.12
**  Content  : Header file for the sample program for FMZHPFUN.DLL services
**
*/
 #define INCL_PM
 #define INCL_DOSPROCESS
 #include <os2.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
 #include <process.h>

 #include <pchost.rch>

 #define WM_FAILEDVALIDATE (WM_USER+0)

/*
**  Variables to support example code
*/
 EXTERN ULONG hittest ;
 EXTERN BOOL  tf ;

 EXTERN HWND hAWnd ;
 EXTERN HWND hPtr  ;
 EXTERN HWND hMenu ;

 EXTERN POINTL     point ;
 EXTERN PSWP       swp   ;
 EXTERN PQMSG      pQmsg ;
 EXTERN POWNERITEM poi   ;

 EXTERN USHORT keycode    ;
 EXTERN USHORT charcode   ;
 EXTERN ULONG  ControlID  ;
 EXTERN USHORT HelpCmd    ;
 EXTERN USHORT CmdSource  ;
 EXTERN USHORT SysCmd     ;
 EXTERN USHORT FirstValue ;
 EXTERN USHORT LastValue  ;

 EXTERN LONG   MenuID          ;
 EXTERN SHORT  previous_width  ;
 EXTERN SHORT  previous_height ;
 EXTERN SHORT  current_width   ;
 EXTERN SHORT  current_height  ;

/*
**  These structures are used to add the program name to the task list
*/
 EXTERN HSWITCH hSwitch ;
 EXTERN SWCNTRL Swctl   ;

 EXTERN CHAR szAppName[20]; // Class name of application

 EXTERN HAB  hAB        ; // Handle to the Anchor Block
 EXTERN HMQ  hMQ        ; // Handle to the Message Queue
 EXTERN HWND hWndFrame  ; // Handle to the Window Frame
 EXTERN HWND hWndClient ; // Handle to the Client Window

 typedef _Packed struct
 {
   char   PchDatPcDate  [13] ;
   char   PchDatHostDate[13] ;
 }
 PCHDATStruct ;

 #define OFFSET_PCHDAT 0

 typedef _Packed struct
 {
   char   PchTmePcTime  [13] ;
   char   PchTmeHostTime[13] ;
 }
 PCHTMEStruct ;

 #define OFFSET_PCHTME 1*sizeof(char *)

 typedef _Packed struct
 {
   short  PchShrPcShort;
   char   PchShrHostShort[13];
 }
 PCHSHRStruct ;

 #define OFFSET_PCHSHR 2*sizeof(char *)

 typedef _Packed struct
 {
   long   PchLngPcLong ;
   char   PchLngHostLong[13];
 }
 PCHLNGStruct ;

 #define OFFSET_PCHLNG 3*sizeof(char *)

 typedef _Packed struct
 {
   char   PchSpfPcFloat  [13] ;
   char   PchSpfHostFloat[13] ;
 }
 PCHSPFStruct ;

 #define OFFSET_PCHSPF 4*sizeof(char *)

 typedef _Packed struct
 {
   char   PchDpfPcDouble  [21] ;
   char   PchDpfHostDouble[21] ;
 }
 PCHDPFStruct ;

 #define OFFSET_PCHDPF 5*sizeof(char *)

 typedef _Packed struct
 {
   char   HpcDatPcDate  [13] ;
   char   HpcDatHostDate[13] ;
 }
 HPCDATStruct ;

 #define OFFSET_HPCDAT 6*sizeof(char *)

 typedef _Packed struct
 {
   char   HpcTmePcTime  [13] ;
   char   HpcTmeHostTime[13] ;
 }
 HPCTMEStruct ;

 #define OFFSET_HPCTME 7*sizeof(char *)

 typedef _Packed struct
 {
   short  HpcShrPcShort ;
   char   HpcShrHostShort[13] ;
 }
 HPCSHRStruct ;

 #define OFFSET_HPCSHR 8*sizeof(char *)

 typedef _Packed struct
 {
   long   HpcLngPcLong ;
   char   HpcLngHostLong[13] ;
 }
 HPCLNGStruct ;

 #define OFFSET_HPCLNG 9*sizeof(char *)

 typedef _Packed struct
 {
   char   HpcSpfPcFloat  [13] ;
   char   HpcSpfHostFloat[13] ;
 }
 HPCSPFStruct ;

 #define OFFSET_HPCSPF 10*sizeof(char *)

 typedef _Packed struct
 {
   char   HpcDpfPcDouble  [21] ;
   char   HpcDpfHostDouble[21] ;
 }
 HPCDPFStruct ;

 #define OFFSET_HPCDPF 11*sizeof(char *)

/*
**  Function prototypes
*/
 INT cwCenter           ( HWND, HWND ) ;
 INT cwSetInitDlgStatus ( HWND ) ;
 INT cwFreeDlgMemory    ( HWND ) ;
 INT cwRegisterClass    ( VOID ) ;

 HWND cwCreateWindow ( HWND, ULONG, PCH, PCH, ULONG, INT, INT, INT, INT, \
                       PHWND, ULONG, USHORT ) ;

 MRESULT EXPENTRY UDDateWndProc ( HWND, ULONG, MPARAM, MPARAM ) ;
 MRESULT EXPENTRY UDEditWndProc ( HWND, ULONG, MPARAM, MPARAM ) ;

 #pragma linkage (WndProc, system)
 MRESULT EXPENTRY WndProc      ( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHDATMsgProc, system)
 MRESULT EXPENTRY PCHDATMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHTMEMsgProc, system)
 MRESULT EXPENTRY PCHTMEMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHSHRMsgProc, system)
 MRESULT EXPENTRY PCHSHRMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHLNGMsgProc, system)
 MRESULT EXPENTRY PCHLNGMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHSPFMsgProc, system)
 MRESULT EXPENTRY PCHSPFMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (PCHDPFMsgProc, system)
 MRESULT EXPENTRY PCHDPFMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCDATMsgProc, system)
 MRESULT EXPENTRY HPCDATMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCTMEMsgProc, system)
 MRESULT EXPENTRY HPCTMEMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCSHRMsgProc, system)
 MRESULT EXPENTRY HPCSHRMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCLNGMsgProc, system)
 MRESULT EXPENTRY HPCLNGMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCSPFMsgProc, system)
 MRESULT EXPENTRY HPCSPFMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;
 #pragma linkage (HPCDPFMsgProc, system)
 MRESULT EXPENTRY HPCDPFMsgProc( HWND, ULONG, MPARAM, MPARAM ) ;

