#
# /----------------------------------------------------------------------\
# |             IBM Z Family Reusable Libraries/2 (5641-504)             |
# |----------------------------------------------------------------------|
# | (C) Copyright International Business Machines Corporation 1993, 1994 |
# |----------------------------------------------------------------------|
# |                       DISCLAIMER OF WARRANTIES                       |
# |                       ------------------------                       |
# | The following code is sample code created by IBM Corporation.        |
# | Such a code is provided to you solely for the purpose of assisting   |
# | you in the development of your applications. The code is provided    |
# | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
# | any damages arising out of your use of the following code, even if   |
# | they have been advised of the possibility of such damages.           |                                                                         *
# \----------------------------------------------------------------------/
#
#  Makefile : PCHOST.MAK
#  Author   : Dario de Judicibus (DEJUDICI at ROMEPPC)
#  Created  : 26 Oct 1992
#  Updated  : 30 Aug 1993
#  Version  : 2.12
#  Content  : FMZHPFUN Sample Program Makefile
#

ZZZHEADERS = zzzlogo.h zzzlogo.rch
ZZZLOGORSC = zzzlogo.rc zzzlogo.rch
ZDTHEADERS = zgeneral.h zhpdefs.h zhptypes.h zhpproto.h
TSTHEADERS = tstall.h tstdefs.h
DLGHOST2PC = hpcdat.h hpclng.h hpctme.h hpcshr.h hpcspf.h hpcdpf.h
DLGPC2HOST = pchtme.h pchdat.h pchshr.h pchlng.h pchdpf.h pchspf.h
DLGHEADERS = $(DLGPC2HOST) $(DLGHOST2PC)
ALLHEADERS = $(ZDTHEADERS) $(TSTHEADERS) $(DLGHEADERS) $(ZZZHEADERS)

INCTSTFILS = tstabout.inc tstexitw.inc tstclose.inc
INCHOST2PC = hpcdat.inc hpclng.inc hpctme.inc hpcshr.inc hpcspf.inc hpcdpf.inc
INCPC2HOST = pchtme.inc pchdat.inc pchshr.inc pchlng.inc pchdpf.inc pchspf.inc
ALLINCFILE = $(INCTSTFILS) $(INCHOST2PC) $(INCPC2HOST)

TSTOPTIONS = /Tx+ /Se /Ss+ /Kb+ /Gd- /Gm+ /Ms /I.\

all: pchost.exe

pchost.exe : pchost.obj zzzlogo.obj pchost.res pchost.def
     icc /Fe$* $(TSTOPTIONS) pchost.obj zzzlogo.obj pchost.def
     rc pchost.res $*.exe

pchost.obj : pchost.c $(ALLHEADERS) $(ALLINCFILE)
     icc /C+ $(TSTOPTIONS) pchost.c

pchost.res : pchost.rc pchost.rch $(ZZZLOGORSC) tstmsgs.rc $(ALLHEADERS)
     rc -r pchost.rc

zzzlogo.obj : zzzlogo.c $(ZZZHEADERS)
     icc /C+ $(TSTOPTIONS) zzzlogo.c

