#
# /----------------------------------------------------------------------\
# |             IBM Z Family Reusable Libraries/2 (5641-504)             |
# |----------------------------------------------------------------------|
# | (C) Copyright International Business Machines Corporation 1993, 1994 |
# |----------------------------------------------------------------------|
# |                       DISCLAIMER OF WARRANTIES                       |
# |                       ------------------------                       |
# | The following code is sample code created by IBM Corporation.        |
# | Such a code is provided to you solely for the purpose of assisting   |
# | you in the development of your applications. The code is provided    |
# | "AS IS", without warranty of any kind.  IBM shall not be liable for  |
# | any damages arising out of your use of the following code, even if   |
# | they have been advised of the possibility of such damages.           |                                                                         *
# \----------------------------------------------------------------------/
#
#  Header   : CHKFUN.MAK
#  Author   : Alessandro Cavallini (CAVALLI at ROMEPPC)
#             Pino Venturella (VENTUREL at ROMEPPC)
#  Reviewer : Dario de Judicibus (DEJUDICI at ROMEPPC)
#  Created  : 08 Jul 1992
#  Updated  : 22 Jul 1993
#  Version  : 3.11
#  Content  : Makefile for test program
#
#

ZZZHEADERS = zzzlogo.h zzzlogo.rch
ZZZLOGORSC = zzzlogo.rc zzzlogo.rch
TSTIFILES = tstinit.inc tstcheck.inc tsttype.inc tstinput.inc tstnotat.inc \
            tstabout.inc tstclose.inc tstexit.inc tstexitw.inc
ZISHFILES = zgeneral.h zisdefs.h zisproto.h
TSTHFILES = tstall.h tstdefs.h tsttypes.h tstproto.h

OPTIONS = /Gm+ /Gd- /Se /Ss+ /Kb+ /I.\ /Tx+  

chkfun.exe : chkfun.res chkfun.def chkfun.obj tstfuncs.obj zzzlogo.obj
     icc /Fe$* $(OPTIONS) chkfun.obj tstfuncs.obj zzzlogo.obj chkfun.def
     rc chkfun.res $*.exe

chkfun.obj : chkfun.c chkfun.h $(TSTHFILES) $(ZISHFILES) $(TSTIFILES) $(ZZZHEADERS)
     icc /C+ $(OPTIONS) chkfun.c

tstfuncs.obj : tstfuncs.c $(TSTHFILES) $(ZZZHEADERS)
     icc /C+ $(OPTIONS) tstfuncs.c

chkfun.res : chkfun.rc chkfun.rch $(ZZZLOGORSC)
     rc -r chkfun.rc

zzzlogo.obj : zzzlogo.c $(ZZZHEADERS)
     icc /C+ $(OPTIONS) zzzlogo.c

